Subject: Re: bug#71106: dired-do-compress should check before attempting to read directories

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 May 2024 12:56:40 +0300

merge 71106 47058
close 47058 30.1

> Date: Thu, 23 May 2024 06:51:32 +0800
> From: Dan Jacobson <[email-masked]>
> Cc: [email-masked]
> 
> On Wed, May 22, 2024 at 04:00:23PM +0300, Eli Zaretskii wrote:
> > I cannot reproduce this.  I get: "Compress or uncompress: 1 file."
> > instead.
> 
> Please do the following (this time "guaranteed"!) experiment,
> bash -ex <<"EOF"
> cd /tmp
> p=plss00p020 n=nt00064
> touch $p.{shp,dbf,shx,txt}
> tar -czf ${p}_${n}.tar.gz $p.*
> tar tzvf ${p}_${n}.tar.gz
> EOF
> emacs -Q /tmp
> 
> Now hit spacebar until the cursor is upon plss00p020_nt00064.tar.gz
> and hit Z then y .
> 
> Not only will you get the error message, the line showing plss00p020_nt00064.tar.gz
> also has been temporarily abducted, and needs you to hit "g" to be seen again!

Thanks.  This is a duplicate of bug#47058, which was left unsolved.
So I have now solved it (I hope) on the master branch, and I'm closing
that bug and this one as well.